CairoMatrix::__construct
CairoMatrix::initRotate
CairoMatrix
PHP Manual

# CairoMatrix::initIdentity

# cairo_matrix_init_identity

(PECL cairo >= 0.1.0)

CairoMatrix::initIdentity -- cairo_matrix_init_identity — Creates a new identity matrix

### Description

Object oriented style (method):

public static void CairoMatrix::initIdentity ( void )

Procedural style:

object cairo_matrix_init_identity ( void )

Creates a new matrix that is an identity transformation. An identity transformation means the source data is copied into the destination data without change

### Parameters

This function has no parameters.

### Return Values

Returns a new CairoMatrix object that can be used with surfaces, contexts, and patterns.

### Examples

Example #1 Object oriented style

`<?php
/* Create a new Matrix */
$matrix = CairoMatrix::initIdentity();
?>`

Example #2 Procedural style

`<?php
/* Create a new Matrix */
$matrix = cairo_matrix_init_identity();
?>`

### See Also

- CairoMatrix::__construct() - Creates a new CairoMatrix object
- CairoMatrix::initRotate() - Creates a new rotated matrix
- CairoMatrix::initScale() - Creates a new scaling matrix
- CairoMatrix::initTranslate() - Creates a new translation matrix

CairoMatrix::__construct
CairoMatrix::initRotate
CairoMatrix
PHP Manual